Results 1 to 6 of 6

Thread: After security updates Unity will not launch

Hybrid View

  1. #1
    Join Date
    Mar 2006
    Beans
    13

    After security updates Unity will not launch

    Hi. I'm on Ubuntu 12.10. Ten min ago software updater popped up and asked me to install some security updates and reboot. After doing so unity will not launch and I'm left with a blank desktop after logging in. Running "compiz --replace" and "unity" in terminal fails.

    How can I check to see what I just installed and figure out what's causing this problem?

  2. #2
    Join Date
    Oct 2008
    Beans
    3,509

    Re: After security updates Unity will not launch

    Try to reset compiz with...
    Code:
    dconf reset -f /org/compiz/

    Then reload with...
    Code:
    setsid unity

  3. #3
    Join Date
    Mar 2006
    Beans
    13

    Re: After security updates Unity will not launch

    Sadly, that did not work either. Here is the console output:

    Code:
    mike@mike-ThinkPad-X120e:~$ dconf reset -f /org/compiz
    mike@mike-ThinkPad-X120e:~$ setsid unity
    mike@mike-ThinkPad-X120e:~$ unity-panel-service: no process found
    compiz (core) - Info: Loading plugin: core
    compiz (core) - Info: Starting plugin: core
    compiz (core) - Info: Loading plugin: ccp
    compiz (core) - Info: Starting plugin: ccp
    compizconfig - Info: Backend     : gsettings
    compizconfig - Info: Integration : true
    compizconfig - Info: Profile     : unity
    compiz (core) - Info: Loading plugin: composite
    compiz (core) - Info: Starting plugin: composite
    compiz (core) - Info: Loading plugin: opengl
    X Error of failed request:  BadRequest (invalid request code or no such operation)
      Major opcode of failed request:  155 (ATIFGLEXTENSION)
      Minor opcode of failed request:  66 ()
      Serial number of failed request:  23
      Current serial number in output stream:  23
    compiz (core) - Info: Unity is not supported by your hardware. Enabling software rendering instead (slow).
    compiz (core) - Info: Starting plugin: opengl
    Compiz (opengl) - Fatal: glXQueryExtensionsString is NULL for screen 0
    compiz (core) - Error: Plugin initScreen failed: opengl
    compiz (core) - Error: Failed to start plugin: opengl
    compiz (core) - Info: Unloading plugin: opengl
    compiz (core) - Info: Loading plugin: regex
    compiz (core) - Info: Starting plugin: regex
    compiz (core) - Info: Loading plugin: compiztoolbox
    compiz (core) - Info: Starting plugin: compiztoolbox
    compiz (core) - Error: Plugin 'opengl' not loaded.
    
    compiz (core) - Info: Loading plugin: scale
    compiz (core) - Info: Starting plugin: scale
    compiz (core) - Error: Plugin 'opengl' not loaded.
    
    compiz (core) - Error: Plugin init failed: scale
    compiz (core) - Error: Failed to start plugin: scale
    compiz (core) - Info: Unloading plugin: scale
    compiz (core) - Info: Loading plugin: mousepoll
    compiz (core) - Info: Starting plugin: mousepoll
    compiz (core) - Info: Loading plugin: imgpng
    compiz (core) - Info: Starting plugin: imgpng
    What's curious to me is the
    Code:
    compiz (core) - Info: Unity is not supported by your hardware. Enabling software rendering instead (slow).
    I have been runing unity using hardware accelerated effects and the 12.11 catalyst drivers for my ATI Radeon GPU. I did
    Code:
    sudo apt-get purge fglrx*
    and rebooted, but same problem.

  4. #4
    Join Date
    Oct 2008
    Beans
    3,509

    Re: After security updates Unity will not launch

    Try purging your proprietary drivers and then install linux-headers-generic and reinstall drivers.

    eg THIS solved my nvidia install.

    Bug #1068488
    Last edited by stinkeye; November 6th, 2012 at 03:42 AM.

  5. #5
    Join Date
    Mar 2006
    Beans
    13

    Re: After security updates Unity will not launch

    Found the packages that got installed they were:
    Code:
    linux-image-3.5.0-18-generic:amd64 <none> 3.5.0-18.29
    linux-headers-3.5.0-18:all <none> 3.5.0-18.29
    linux-headers-3.5.0-18-generic:amd64 <none> 3.5.0-18.29
    linux-image-extra-3.5.0-18-generic:and <none> 3.5.0-18.29
    So I'm assuming that my graphics driver is incompatible with linux kernel 3.5.0-18.29

    I'm using the latest driver from AMD, does anyone know how to downgrade the kernel? What will happen if I do apt-get remove to all that stuff?

  6. #6
    Join Date
    May 2012
    Location
    UK
    Beans
    613

    Re: After security updates Unity will not launch

    when booting, press and hold the shift key until grub menu shows.

    for now at least, you can manually boot into the previous kernel from here, see if that allows things to work.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •